using System;
using Server;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class kingaragonsarms : PlateArms
	
		{
		public override int ArtifactRarity{ get{ return 79; } }

		public override int InitMinHits{ get{ return 500; } }
		public override int InitMaxHits{ get{ return 500; } }

		[Constructable]
		public kingaragonsarms()
		{
			Name = "King Aragons Arms";
			Hue = 2944;
			
			Durability = ArmorDurabilityLevel.Indestructible;
			ProtectionLevel = ArmorProtectionLevel.Invulnerability;
			
			MeditationAllowance = ArmorMeditationAllowance.All;

			//Resource = CraftResource.Valorite;
						
			Attributes.Luck = 250;
			
			//Attributes.SpellChanneling = 1;
			
			//AosArmorAttribute
            ArmorAttributes.SelfRepair = 10;
			ArmorAttributes.MageArmor = 1;
			
			FireBonus = 25;
			PhysicalBonus = 25;
			ColdBonus = 25;
			EnergyBonus = 25;
			PoisonBonus = 25;
						    
		    Attributes.AttackChance = 25;
		    Attributes.ReflectPhysical = 50;
	        Attributes.DefendChance = 50;
                LootType = LootType.Blessed;	    		    	    
		    
		}
	 
		//public override void OnMiss( Mobile attacker, Mobile defender ) 
        //{ 
         //base.OnMiss( attacker, defender ); 

         //attacker.SendMessage( "You feel the power of the King aiding you in combat!" ); 
		//defender.Say( "Its gonna take my life to stop protecting my King!" );
  		//defender.Say( "All hail King AragonS!" );
        //} 

		public kingaragonsarms( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
