using System; 
using Server.Items; 

namespace Server.Items 
{ 
   public class kingaragonsGorget : BaseArmor 
   { 
      public override int ArtifactRarity{ get{ return 79; } }

      public override int BasePhysicalResistance{ get{ return 25; } } 
      public override int BaseFireResistance{ get{ return 25; } } 
      public override int BaseColdResistance{ get{ return 25; } } 
      public override int BasePoisonResistance{ get{ return 25; } } 
      public override int BaseEnergyResistance{ get{ return 25; } } 

      public override int InitMinHits{ get{ return 500; } } 
      public override int InitMaxHits{ get{ return 500; } } 

      public override int AosStrReq{ get{ return 45; } } 
      public override int OldStrReq{ get{ return 30; } } 

      public override int OldDexBonus{ get{ return -1; } } 

      public override int ArmorBase{ get{ return 40; } } 

      public override ArmorMaterialType MaterialType{ get{ return ArmorMaterialType.Plate; } } 

      [Constructable] 
      public kingaragonsGorget() : base( 0x1413 ) 
      { 
         Weight = 1.0; 
         Hue= 2944; 
         Name="King AragonS Gorget"; 
         Attributes.SpellChanneling = 100; 
                        ArmorAttributes.MageArmor = 1; 
         Attributes.ReflectPhysical = 50; 
                          
                        
                         

                        Attributes.LowerRegCost = 50;
                        LootType = LootType.Blessed; 
         
      } 

      public kingaragonsGorget( Serial serial ) : base( serial ) 
      { 
      } 
       
      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 
       
      public override void Deserialize(GenericReader reader) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 
      } 
   } 
}// created on 11/1/2003 at 2:14 PM
