using System;
using Server;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	public class kingaragonsShield : HeaterShield
	{
		public override int ArtifactRarity{ get{ return 79; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public kingaragonsShield()
		{
			Name = " King AragonS Shield ";
			Hue = 2944;


			Durability = ArmorDurabilityLevel.Indestructible;
			ProtectionLevel = ArmorProtectionLevel.Invulnerability;

			MeditationAllowance = ArmorMeditationAllowance.All;

			//Resource = CraftResource.Valorite;

			Attributes.Luck = 250;
			Attributes.SpellChanneling = 50;

			//AosArmorAttribute
            ArmorAttributes.SelfRepair = 100;
			ArmorAttributes.MageArmor = 50;

			FireBonus = 50;
			PhysicalBonus = 50;
			ColdBonus = 50;
			EnergyBonus = 50;
			PoisonBonus = 50;

		    Attributes.ReflectPhysical = 50;
	        Attributes.DefendChance = 100;
			Attributes.SpellChanneling = 50;
			Attributes.RegenMana = 25;
			Attributes.RegenStam = 25;

		    LootType = LootType.Blessed;
		}

		public kingaragonsShield( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
